Bug 484893 - dillo fails to start. complains about ISO8859-1 font
dillo fails to start. complains about ISO8859-1 font
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dillo (Show other bugs)
11
i386 Linux
low Severity low
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-10 10:35 EST by Kent Baxley
Modified: 2011-09-27 13:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:14:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kent Baxley 2009-02-10 10:35:56 EST
Description of problem:
Dillo fails to start complaining about ISO8859-1 font not being able to load

Version-Release number of selected component (if applicable):
dillo-0.8.6-8.fc11.i386

How reproducible:
always

Steps to Reproduce:
1. start up dillo
2.
3.
  
Actual results:
dillo quits immediately

Expected results:
dillo should start

Additional info:
starting up dillo in gdb, this is what I get:

$ gdb dillo
GNU gdb (GDB) Fedora (6.8.50.20081214-1.fc11)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
(gdb) run
Starting program: /usr/bin/dillo 
[Thread debugging using libthread_db enabled]
Nav_open_url: Url=>about:splash<
Type check:  [Srv: text/html  Det: text/html]

** WARNING **: Can't load any ISO8859-1 font!?! :(

** ERROR **: Could not find any font.
aborting...

Program received signal SIGABRT, Aborted.
0x0073d746 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
Comment 1 Kent Baxley 2009-02-10 11:24:55 EST
(gdb) bt
#0  0x0073d746 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x0073f1b8 in abort () at abort.c:88
#2  0x00559a44 in g_logv (log_domain=0x0, log_level=G_LOG_LEVEL_ERROR, format=0x80905e6 "Could not find any font.", 
    args1=0xbffff0ac "��\016\b������\016\b�����9\a\b|����=\r\bD9x") at gmessages.c:391
#3  0x00559a82 in g_log (log_domain=0x0, log_level=G_LOG_LEVEL_ERROR, format=0x80905e6 "Could not find any font.") at gmessages.c:408
#4  0x08065ea4 in a_Dw_style_font_new (font_attrs=0xbffff17c) at dw_style.c:426
#5  0x080739f1 in Html_set_dwpage (html=<value optimized out>) at html.c:711
#6  Html_new (url=<value optimized out>, bw=<value optimized out>) at html.c:809
#7  a_Html_text (Type=0x80e6088 "text/html", P=0x80ea3d0, Call=0x80ea558, Data=0x80ea55c) at html.c:216
#8  0x0806dd12 in a_Web_dispatch_by_type (Type=0x80e6088 "text/html", Web=0x80ea3d0, Call=0x80ea558, Data=0x80ea55c) at web.c:57
#9  0x0805536c in Cache_process_queue (entry=0x80ea468) at cache.c:888
#10 0x080540fe in a_Chain_fcb (Op=2, Info=0x6, Data1=0x80ea660, Data2=0x0) at chain.c:89
#11 0x0808eecf in IO_read (io=<value optimized out>) at IO.c:487
#12 IO_callback (src=0x80ea698, cond=17, data=0x2) at IO.c:572
#13 0x00554ad4 in g_io_unix_dispatch (source_data=0x80e7c30, current_time=0xbffff410, user_data=0x2) at giounix.c:135
#14 0x00556612 in g_main_dispatch (dispatch_time=0xbffff410) at gmain.c:656
#15 0x00556e96 in g_main_iterate (block=<value optimized out>, dispatch=1) at gmain.c:877
#16 0x0055701f in g_main_run (loop=0x80eb7a0) at gmain.c:935
#17 0x001a70bf in gtk_main () at gtkmain.c:524
#18 0x0806ea5d in main (argc=1, argv=Cannot access memory at address 0x4
) at dillo.c:330
Comment 2 Kent Baxley 2009-02-10 11:33:44 EST
Never mind. I was missing the xorg-x11-fonts-ISO8859-1 packages. It works now.
Comment 3 Andreas Bierfert 2009-02-10 17:12:07 EST
Maybe dillo should require the xorg font package as it clearly should not crash if it is missing.
Comment 4 Bug Zapper 2009-06-09 07:13:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-04-27 08:55:12 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 07:14:38 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Eduardo Villagrán Morales 2011-09-27 12:46:18 EDT
This bug is now on F15. Only work when xorg-x11-fonts-ISO8859-1-75dpi is intalled.
Comment 8 Andreas Bierfert 2011-09-27 13:29:09 EDT
It was fixed with a build from 2011-02-13 18:52:14 which never made it to bodhi. I have build and pushed again. Should appear in updates-testing soon.

Note You need to log in before you can comment on or make changes to this bug.